jQuery(document).ready(function($){

	$('.ts-toggle').each( function() {
		var box_ID = $(this).attr('id');
		if ($.cookie(box_ID) == 'open') {
			$(this).find('.ts-totoggle').show();
			$(this).find('h3').addClass("toggle-close");
		} else {
			$(this).find('.ts-totoggle').hide();
			$(this).find('h3').addClass("toggle-open");
		}
	});
	
	$('.ts-toggle h3').click(function(){
	
		if ($(this).next('div.ts-totoggle').is(":hidden")) {
    	    $(this).next('div.ts-totoggle').slideDown();
    	    $(this).removeClass("toggle-open");
			$(this).addClass("toggle-close");
    	    $.cookie($(this).parent().parent().attr('id'), 'open',{ path: '/' });
			return false;
    	} else {
    		$(this).next('div.ts-totoggle').slideUp();
    		$(this).removeClass("toggle-close");
			$(this).addClass("toggle-open");
    	    $.cookie($(this).parent().parent().attr('id'), 'closed',{ path: '/' });
			return false;
    	}
      
     });
     
     setTimeout(function(){ $('#ts-message').fadeOut('slow'); }, 3000);
	
});